This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1315782 - (CVE-2016-1973) CVE-2016-1973 Mozilla: Use-after-free in GetStaticInstance in WebRTC (MFSA 2016-33)
CVE-2016-1973 Mozilla: Use-after-free in GetStaticInstance in WebRTC (MFSA 20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160308,repo...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 10:19 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-28 01:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 01:34:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 10:19:51 EST
Security researcher Ronald Crane reported a race condition in GetStaticInstance in WebRTC which results in a use-after-free. This could result in a potentially exploitable crash. This issue was found through code inspection and does not have clear mechanism to be exploited through web content but is vulnerable if a mechanism can be found to trigger it. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-33.html


Acknowledgements:

Name: the Mozilla project
Upstream: Ronald Crane
Comment 1 errata-xmlrpc 2016-03-09 00:12:52 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0373 https://rhn.redhat.com/errata/RHSA-2016-0373.html

Note You need to log in before you can comment on or make changes to this bug.